1

I've read the documentation of upgrading (migrating) from D7 to D9, but didn't see anything about how to handle changing MySQL versions in the process.

My D7 instance is on MySQL 5.6, which is unsupported in D9. Can I use the process described in the official docs linked above, or do I have to take any special actions with respect to the change in MySQL versions?

Note: from the MySQL docs, the recommended upgrade path is (I believe) 5.6 -> 5.7 -> 8.

1 Answer 1

3

The best option would be to upgrade the source site to MySQL 5.7 before migration.

If that’s not an option, you can install the mysql56 module in the D9 site while you’re migrating. This module makes D9 fully compatible with mysql 5.6. It can be removed without issue once the migration is complete

If you do neither, the migration may still work, but you’re in best-effort territory and you’ll probably never be 100% confident that there isn’t a little nugget of migration error waiting to haunt you in the future.

1
  • This answer is better than the one I posted in every way.
    – cilefen
    Nov 18, 2022 at 19:45

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.